Форумы caduser.ru

 
Поиск  Пользователи  Правила 
Закрыть
Логин:
Пароль:
Забыли свой пароль?
Регистрация
Войти  
Страницы: 1 2 3 4 5 ... 7 След.
RSS
ObjectARX. SelSim - выбор по образцу
Выбор примитивов по образцу - команда _SelSim
Выбор примитивов по образцу из уже выбранных - команда_SelSimSel
Настройка выбора по образцу - команда _SelSimOptions
Команда выбора по образцу появлется в контекстном меню.
Загружать отсюда: http://www.maestrogroup.com.ua/support/selsim.zip
Для AutoCAD 2004-2006: SelSim2006.arx
Для AutoCAD 2007-2009: SelSim2007.arx
Для AutoCAD 2009: SelSim2009x32.arx и SelSim2009x64.arx
Для AutoCAD 2010-2012: SelSim2010x32.arx и SelSim2010x64.arx
Для AutoCAD 2013-2014: SelSim2013x32.arx и SelSim2013x64.arx
Для AutoCAD 2015-2016: SelSim2015x32.arx и SelSim2015x64.arx
Для AutoCAD 2017-201X: SelSim2017x32.arx и SelSim2017x64.arx
Выбираешь примитив(ы) и жмешь правую кнопку мыши (или набираешь _SELSIM в командной строке).
Изменено: Александр Ривилис - 15-04-2016 12:31:51
> Александр Ривилис (2007-09-03 17:03:26)
Попробовал программу. Первое впечатление - может быть очень полезна в работе. Хорошо смотрится в комплекте с открытым окошком Properties.
> Александр Ривилис (2007-09-03 17:03:26)
Сам недавно хотел написать на лиспе подобную программу, но все равно придется писать для Брикса. Хочется иногда выбрать еще по длине, по радиусу, и иногда еще и с допуском длины (радиуса).
О наличии анологичной команды в Civil 3D я узнал от сотрудников и сделал аналог для чистого AutoCAD. В Civil 3D описания этой команды не нашел. Поэтому делал на свое усмотрение, а диалог задания свойств выбора был сделан "по просьбам трудящихся". Если еще усложнять эту программу, то она станет похожа на стандартный Быстрый выбор (_QSELECT) и тогда потеряется весь ее смысл.
LISP-вариантики
http://www.caduser.ru/forum/index.php...&TID=32134
Выбор объектов по образцу:
^C^C^P(defun C:tmp_Den ()(sssetfirst nil (ssget (list (assoc 0 (entget (car (entsel "Выберите образец:")))))))(princ))(princ);tmp_Den
Выбор объектов по слою образца:
^C^C^P(defun C:tmp_Den ()(sssetfirst nil (ssget (list (assoc 8 (entget (car (entsel "Выберите образец требуемого слоя:")))))))(princ))(princ);tmp_Den
Выбор текста по содержимому образца:
^C^C^P(defun C:tmp_Den ()(sssetfirst nil (ssget (list (assoc 1 (entget (car (entsel "Выберите текст - образец")))))))(princ))(princ);tmp_Den
По предложению Евгения Елпанова добавил обработку примитивов с цветом BYLAYER.
> Александр Ривилис (2007-09-05 12:13:19)
"О наличии анологичной команды в Civil 3D..."
В ADT аналогичная команда называется:
Команда: SelectSimilar
Только как настраивать не знаю.
> wo! (2007-09-05 16:50:03)
Она видимо одна и таже в Civil 3D и в ADT. Описания и возможности настроек ее я не нашел - хотел сделать полный аналог, но потом расширил возможности за счет настройки.
> Александр Ривилис (2007-09-05 17:31:41)
У Вас получилось хорошо!
Настройки позволяют почувствовать уверенность
предсказуемость выбора.
Спасибо! (+1 голос к разговору о костылях)
> Александр Ривилис (2007-09-05 17:31:41)
Программа отличная и как говорится подключил к использованию и сегодня работаю с ней и как говорили выше в паре со свойствами. Работает с кнопки. Но есть одна проблема. Динамический блок не выбирает по образцу. Это в самом деле так или я не нашел в настройках. Если можно подскажите это так должно быть и изменить нельзя или всё таки можно что то сделать.
А по вопросу костылей. меня всегда удивляет ответ взрослого человека аналогичным образом. Главное ни кому ни чего путного не предложил, а всё обхаял. А Вам ещё раз спасибо.
> Valery Brelovsky (2007-09-06 10:50:15)
По поводу динамических блоков пока не думал (я с ними не работаю). Пришлите мне какой-нибудь чертежик с динамическими блоками - сделаю их обработку. Я так понимаю, что речь идет о сравнении по имени?
Сделал обработку динамических блоков. Теперь думаю стоит ли выкладывать эту версию. Из-за проверки динамических блоков пришлось сделать три arx-файла:
Код
SelSim2004.arx - AutoCAD 2004 и 2005
SelSim2006.arx - AutoCAD 2006
SelSim2007.arx - AutoCAD 2007 и 2008

Надеюсь ничего не испортил.
> Александр Ривилис (2007-09-06 14:00:01)
Спасибо отлично работает. Динамические блоки теперь тоже выбираются.
> Александр Ривилис (2007-09-06 14:00:01)
Работал с топографией. И наткнулся на проблему удаления блоков с одинаковым значением "Z". Подумал что было бы не плохо если бы блоки выбирались не только по имени и масштабу, но и по "Z". При уровне рельефа между 95 и 150 затесалась группа точек с уровнем -1,5. Пришлось удалять по одной. Если получится буду при много благодарен. Могу заметить что ни одна версия Автокада так не ускоряет работу как Ваши две программы. Имею ввиду Сумму в свойствах и выбор по образцу.
> Valery Brelovsky (2007-09-09 11:26:06)
Что такое одинаковое значение "Z"? Это координата Z точки вставки блока или значение какого-то атрибута в блоке? Если первое еще можно обработать, то за второе я браться не буду - это будет слишком узко специализированно. Кроме того с какой точностью проверять значение (это плавающие числа и нужно задавать точность сравнения)?
> Александр Ривилис (2007-09-09 12:04:06)
Именно координата "Z" точки вставки блока. Я думаю что не стоит браться не за первое, ни за втрое тем более. Это в самом деле уж очень узко специализированно,а во вторых моя разовая ошибка. Которую в общем нужно было исправить вернувшись к началу и это было бы быстрее. Просто в следующий раз так и сделаю. Не буду Вам морочить голову. Так что Вы правы в самом деле не стоит.
Как просьба.
Про отметку Z вставки блоков - вещь нужная.
И по дин блокам. Нельзя ли добавить критерий отбора по параметру visible - видимости. Можно также и по значению какого либо атрибута на выбор - но это уже как наглость - если будет возможность.
Поясню - есть дин блок - положим звать его name
-у него есть несколько значений visible
-у него есть атрибут с изменяемым значением.
Это как пример - например блок площадки - марка указана в параметре visible т.е. выбор по марке а в атрибуте, скажем, ее поз в спеификации.
> Diman111 (2007-10-01 15:43:03)
Нет. Этого я делать не буду - слишком много вариантов и если пойти дальше в узкую специализацию, то командой очень неудобно будет пользоваться по ее основному назначению.
Уважаемый Александр!
Спасибо за полезную утилитку, однако позвольте поделиться с манюсеньким огорчением smile:)
При выборе в качестве образца примитив "размер" утилитка сбрасывает значение DIMSCALE в "1" с вытекающими последствиями.. Нельзя ли этот огорчительный нюанс подправить? Спасибо!!
> Нюк (2007-10-30 16:16:33)
Эта программа не меняет значение ни одной системной переменной, так что следует искать что-то другое. Укажите четкую последовательность действий, которую я смогу воспроизвести, т.к. у меня значение DIMSCALE не сбрасывается.
> Valery Brelovsky (2007-09-06 15:08:09)
> Александр Ривилис (2007-10-30 16:42:35)
А чем Вас не устраивает стандартная функция Select Semilar она уж года 2-3 как существует?
И условий выбора вроде хватает!
Current selection
Device
True Color
Linetype
Linetype scale
Plot style
Lineweight
Hyperlink
Material
Location
Normal
GUID
PartDescription
SizeName
SystemName
SystemAbbreviation
SystemType
MaximumSize
Voltage
Load
Description
Layer
Style
Bound spaces
Type
Subtype
Name
Size Name
Routing Preference
Shadow display
Connection Type
Shape
Diameter
Width
Height
System Group
System Name
System
ID
Assigned Engineering ID
Lock Size

= Equals
<> Not Equal
> Greater than
< Less than
Select All
...и что я могу Вам хорошего предложить?
пожалуй... сменить Акад на один из вертикальных продуктов! Или Вам нельзя? Проясните пожалуйста.
Архитекторам, пользователям ADT, много чего можно предложить, посмотрите с 99-го года мои сообщения на той ветке и посчитайте скока раз помощь мною оказана и сравните со своими...советами.
Я т.д. что по любому вопросу на этой ветке можно найти ответ в стандартном пакете, будь то ADT, ABS, или любой другой. Нет, правда, мне непонятно что тут можно нарыть такого...сверхестественного. Всё давным давно ясно, если есть что-то новое, то сначала появляется в вертикальных продуктах а потом уже в базовой платформе, в урезанном виде.
> Vitaly (2007-10-30 18:48:05)
К чему весь этот разговор? То что я выложил работает в чистом AutoCAD'е, в которой этой возможности нет.
Цитата
пожалуй... сменить Акад на один из вертикальных продуктов! Или Вам нельзя? Проясните пожалуйста.

Это вопрос к кому? Ко мне? Но я программист и мне не нужны вертикальные продукты - я ими не пользуюсь, хотя у меня стоит и C3D и ADT. А пользователи сами выберут в чем им работать. Или за них это сделает их руководство.
P.S.: Мне очень не хочется, чтобы и эта ветка утонула во флуде.
> Александр Ривилис (2007-10-30 19:01:24)
Тогда понятно... сочуствую. Не возражаете если ещё про одну фичу упомяну, к-рая работает похоже и приносит пользу не меньше чем Выбор подобных. Надеюсь она ещё больше поможет, тем кто работает в чистом (смайл) Акаде.
Страницы: 1 2 3 4 5 ... 7 След.
Читают тему (гостей: 1, пользователей: 0, из них скрытых: 0)